package sets

func Cyrillic() (dict []int) {
	// Cyrillic: U+0400–U+04FF (256 characters)
	for i := 0x0400; i <= 0x04FF; i++ {
		dict = append(dict, i)
	}

	// Cyrillic Supplement: U+0500–U+052F (48 characters)
	for i := 0x0500; i <= 0x052F; i++ {
		dict = append(dict, i)
	}

	// Cyrillic Extended-A: U+2DE0–U+2DFF (32 characters)
	for i := 0x2DE0; i <= 0x2DFF; i++ {
		dict = append(dict, i)
	}

	// Cyrillic Extended-B: U+A640–U+A69F (96 characters)
	for i := 0xA640; i <= 0xA69F; i++ {
		dict = append(dict, i)
	}

	// Cyrillic Extended-C: U+1C80–U+1C8F (9 characters)
	for i := 0x1C80; i <= 0x1C8F; i++ {
		dict = append(dict, i)
	}

	// Cyrillic Extended-D: U+1E030–U+1E08F (63 characters)
	for i := 0x1E030; i <= 0x1E08F; i++ {
		dict = append(dict, i)
	}

	dict = append(dict, []int{0x1D2B, 0x1D78}...)

	return
}
